import 'package:leancloud/avbean.dart';
import 'package:leancloud/avfile.dart';
import 'package:leancloud/avobject.dart';

class TestBean extends AVBean {
  static const String CLASSNAME = 'testFile';
  static const String INDEX = 'index';
  static const String WORDS = 'words';
  static const String MYIMAGE = 'myimage';

  int index;

  String words;

  AVFile file;

  @override
  void onFromAVObject(AVObject avobject) {
    index = avobject.getInt(INDEX);
    words = avobject.getString(WORDS);
    file = AVFile().fromAVObject(avobject.getAVFile(MYIMAGE));
  }

  @override
  void onToAVObject(AVObject avobject) {
    avobject.put(INDEX, index);
    avobject.put(WORDS, words);
    avobject.putAVFile(MYIMAGE, file?.toAVObject());
  }

  @override
  String getClassName() {
    return CLASSNAME;
  }
}
